## ros-melodic-moveit-experimental 1.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)
project(moveit_experimental)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

# find_package(Boost REQUIRED system filesystem date_time thread iostreams)
find_package(catkin REQUIRED)
# find_package(catkin REQUIRED
# COMPONENTS
#   moveit_core
#   moveit_msgs
#   resource_retriever
#   kdl_parser
#   geometric_shapes
#   eigen_stl_containers
#   tf2_eigen
#   random_numbers
#   visualization_msgs
#   roslib
#   rostime
#   rosconsole
#   pluginlib
# )
# find_package(Eigen3 REQUIRED)
# find_package(octomap REQUIRED)
# find_package(urdfdom REQUIRED)
# find_package(urdfdom_headers REQUIRED)

set(THIS_PACKAGE_INCLUDE_DIRS)

catkin_package(
  INCLUDE_DIRS
    ${THIS_PACKAGE_INCLUDE_DIRS}
  LIBRARIES
  CATKIN_DEPENDS
  #   moveit_core
  #   geometric_shapes
  #   eigen_stl_containers
  #   moveit_msgs
  #   kdl_parser
  #   pluginlib
  DEPENDS
  #   EIGEN3
  #   Boost
  #   OCTOMAP
  #   urdfdom
  #   urdfdom_headers
)

include_directories(
  ${THIS_PACKAGE_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIR}
  ${EIGEN3_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
  ${urdfdom_INCLUDE_DIRS}
  ${urdfdom_headers_INCLUDE_DIRS}
  ${OCTOMAP_INCLUDE_DIRS}
  )

=== collision_distance_field_ros/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)
include($ENV{ROS_ROOT}/core/rosbuild/rosbuild.cmake)

# Set the build type.  Options are:
#  Coverage       : w/ debug symbols, w/o optimization, w/ code-coverage
#  Debug          : w/ debug symbols, w/o optimization
#  Release        : w/o debug symbols, w/ optimization
#  RelWithDebInfo : w/ debug symbols, w/ optimization
#  MinSizeRel     : w/o debug symbols, w/ optimization, stripped binaries
#set(ROS_BUILD_TYPE RelWithDebInfo)

rosbuild_init()

#set the default path for built executables to the "bin" directory
set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)
#set the default path for built libraries to the "lib" directory
set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)

#uncomment if you have defined messages
#rosbuild_genmsg()
#uncomment if you have defined services
#rosbuild_gensrv()

#common commands for building c++ executables and libraries
#rosbuild_add_library(${PROJECT_NAME} src/example.cpp)
#target_link_libraries(${PROJECT_NAME} another_library)
#rosbuild_add_boost_directories()
#rosbuild_link_boost(${PROJECT_NAME} thread)
#rosbuild_add_executable(example examples/example.cpp)
#target_link_libraries(example ${PROJECT_NAME})

=== kinematics_constraint_aware/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_kinematics_constraint_aware)

add_library(${MOVEIT_LIB_NAME} src/kinematics_constraint_aware.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
# This line is needed to ensure that messages are done being built before this is built
add_dependencies(${MOVEIT_LIB_NAME} ${catkin_EXPORTED_TARGETS})

target_link_libraries(${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS ${MOVEIT_LIB_NAME}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

=== kinematics_cache/v1/kinematics_cache_ros/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)
include($ENV{ROS_ROOT}/core/rosbuild/rosbuild.cmake)

# Set the build type.  Options are:
#  Coverage       : w/ debug symbols, w/o optimization, w/ code-coverage
#  Debug          : w/ debug symbols, w/o optimization
#  Release        : w/o debug symbols, w/ optimization
#  RelWithDebInfo : w/ debug symbols, w/ optimization
#  MinSizeRel     : w/o debug symbols, w/ optimization, stripped binaries
#set(ROS_BUILD_TYPE RelWithDebInfo)

rosbuild_init()

#set the default path for built executables to the "bin" directory
set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)
#set the default path for built libraries to the "lib" directory
set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)

#uncomment if you have defined messages
#rosbuild_genmsg()
#uncomment if you have defined services
#rosbuild_gensrv()

#common commands for building c++ executables and libraries
#rosbuild_add_library(${PROJECT_NAME} src/example.cpp)
#target_link_libraries(${PROJECT_NAME} another_library)
#rosbuild_add_boost_directories()
#rosbuild_link_boost(${PROJECT_NAME} thread)
#rosbuild_add_executable(example examples/example.cpp)
#target_link_libraries(example ${PROJECT_NAME})

rosbuild_add_library(kinematics_cache_ros_lib src/kinematics_cache_ros.cpp)
rosbuild_add_executable(example src/example.cpp)
target_link_libraries(example kinematics_cache_ros_lib)

=== kinematics_cache/v2/kinematics_cache/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_kinematics_cache)

add_library(${MOVEIT_LIB_NAME}
  src/kinematics_cache.cpp
)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
# This line is needed to ensure that messages are done being built before this is built
add_dependencies(${MOVEIT_LIB_NAME} ${catkin_EXPORTED_TARGETS})

target_link_libraries(${MOVEIT_LIB_NAME} moveit_robot_model ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS ${MOVEIT_LIB_NAME}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

=== debian/changelog ===
ros-melodic-moveit-experimental (1.0.4-1bionic) bionic; urgency=high



 -- MoveIt! Release Team <moveit_releasers@googlegroups.com>  Fri, 29 May 2020 22:00:00 -0000

ros-melodic-moveit-experimental (1.0.3-1bionic) bionic; urgency=high

  * [maint] Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * Contributors: Robert Haschke, Sean Yen

 -- MoveIt! Release Team <moveit_releasers@googlegroups.com>  Sat, 25 Apr 2020 22:00:00 -0000

ros-melodic-moveit-experimental (1.0.2-1bionic) bionic; urgency=high



 -- MoveIt! Release Team <moveit_releasers@googlegroups.com>  Thu, 27 Jun 2019 22:00:00 -0000

ros-melodic-moveit-experimental (1.0.1-1bionic) bionic; urgency=high



 -- MoveIt! Release Team <moveit_releasers@googlegroups.com>  Thu, 07 Mar 2019 23:00:00 -0000

ros-melodic-moveit-experimental (1.0.0-1bionic) bionic; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * Contributors: Robert Haschke

 -- MoveIt! Release Team <moveit_releasers@googlegroups.com>  Sat, 23 Feb 2019 23:00:00 -0000

ros-melodic-moveit-experimental (0.10.8-1bionic) bionic; urgency=high



 -- MoveIt! Release Team <moveit_releasers@googlegroups.com>  Sun, 23 Dec 2018 23:00:00 -0000

ros-melodic-moveit-experimental (0.10.7-1bionic) bionic; urgency=high



 -- MoveIt! Release Team <moveit_releasers@googlegroups.com>  Wed, 12 Dec 2018 23:00:00 -0000

ros-melodic-moveit-experimental (0.10.6-1bionic) bionic; urgency=high

  * [enhancement] Rearranged CHOMP-related modules within moveit_planners/chomp (#1251 <https://github.com/ros-planning/moveit/issues/1251>)
  * [maintenance] Replaced Eigen::Affine3d -> Eigen::Isometry3d (#1096 <https://github.com/ros-planning/moveit/issues/1096>)
  * Contributors: Dave Coleman, Michael Görner, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 08 Dec 2018 23:00:00 -0000

ros-melodic-moveit-experimental (0.10.5-1bionic) bionic; urgency=high



 -- MoveIt! Release Team <moveit_releasers@googlegroups.com>  Wed, 31 Oct 2018 23:00:00 -0000

ros-melodic-moveit-experimental (0.10.4-1bionic) bionic; urgency=high



 -- MoveIt! Release Team <moveit_releasers@googlegroups.com>  Sun, 28 Oct 2018 23:00:00 -0000

ros-melodic-moveit-experimental (0.10.3-1bionic) bionic; urgency=high

  * [fix] Build regression (#1134 <https://github.com/ros-planning/moveit/issues/1134>)
  * [fix] compiler warnings (#1089 <https://github.com/ros-planning/moveit/issues/1089>)
  * Contributors: Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 28 Oct 2018 23:00:00 -0000

ros-melodic-moveit-experimental (0.10.2-1bionic) bionic; urgency=high

  * [maintenance] various compiler warnings (#1038 <https://github.com/ros-planning/moveit/issues/1038>)
  * [maintenance] add minimum required pluginlib version (#927 <https://github.com/ros-planning/moveit/issues/927>)
  * Contributors: Mikael Arguedas, Robert Haschke, mike lautman

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 23 Oct 2018 22:00:00 -0000

ros-melodic-moveit-experimental (0.10.1-1bionic) bionic; urgency=high

  * boost::shared_ptr -> std::shared_ptr
  * migration from tf to tf2 API (#830 <https://github.com/ros-planning/moveit/issues/830>)
  * switch to ROS_LOGGER from CONSOLE_BRIDGE (#874 <https://github.com/ros-planning/moveit/issues/874>)
  * Contributors: Bence Magyar, Ian McMahon, Levi Armstrong, Mikael Arguedas, Robert Haschke, Xiaojian Ma

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 24 May 2018 22:00:00 -0000

ros-melodic-moveit-experimental (0.9.11-1bionic) bionic; urgency=high



 -- MoveIt! Release Team <moveit_releasers@googlegroups.com>  Sun, 24 Dec 2017 23:00:00 -0000

ros-melodic-moveit-experimental (0.9.10-1bionic) bionic; urgency=high

  * [fix] remove explicit fcl depends #632 <https://github.com/ros-planning/moveit/pull/632>
  * Contributors: v4hn

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 08 Dec 2017 23:00:00 -0000

ros-melodic-moveit-experimental (0.9.9-1bionic) bionic; urgency=high



 -- MoveIt! Release Team <moveit_releasers@googlegroups.com>  Sat, 05 Aug 2017 22:00:00 -0000

ros-melodic-moveit-experimental (0.9.8-1bionic) bionic; urgency=high



 -- MoveIt! Release Team <moveit_releasers@googlegroups.com>  Tue, 20 Jun 2017 22:00:00 -0000

ros-melodic-moveit-experimental (0.9.7-1bionic) bionic; urgency=high



 -- MoveIt! Release Team <moveit_releasers@googlegroups.com>  Sun, 04 Jun 2017 22:00:00 -0000

ros-melodic-moveit-experimental (0.9.6-1bionic) bionic; urgency=high



 -- MoveIt! Release Team <moveit_releasers@googlegroups.com>  Tue, 11 Apr 2017 22:00:00 -0000

ros-melodic-moveit-experimental (0.9.5-1bionic) bionic; urgency=high

  * [fix][moveit_ros_warehouse] gcc6 build error #423 <https://github.com/ros-planning/moveit/pull/423>
  * Contributors: Dave Coleman

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 07 Mar 2017 23:00:00 -0000

ros-melodic-moveit-experimental (0.9.4-1bionic) bionic; urgency=high

  * [maintenance] clang-format upgraded to 3.8 (#367 <https://github.com/ros-planning/moveit/issues/367>)
  * Contributors: Dave Coleman

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 05 Feb 2017 23:00:00 -0000

ros-melodic-moveit-experimental (0.9.3-1bionic) bionic; urgency=high

  * [maintenance] Updated package.xml maintainers and author emails #330 <https://github.com/ros-planning/moveit/issues/330>
  * Contributors: Dave Coleman, Ian McMahon

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 15 Nov 2016 23:00:00 -0000

ros-melodic-moveit-experimental (0.9.2-1bionic) bionic; urgency=high



 -- MoveIt! Release Team <moveit_releasers@googlegroups.com>  Fri, 04 Nov 2016 23:00:00 -0000

ros-melodic-moveit-experimental (0.9.0-1bionic) bionic; urgency=high



=== debian/control ===
Source: ros-melodic-moveit-experimental
Section: misc
Priority: optional
Maintainer: MoveIt! Release Team <moveit_releasers@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-melodic-moveit-experimental
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: Experimental packages for MoveIt!

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-moveit-experimental//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
